/* PGM(SQL2XLSXC) */                                                            
                                                                                
  CMD   PROMPT('SQL to Excel XLSX')                                             
                                                                                
  PARM KWD(SQLSTMT)    TYPE(*CHAR) LEN(9999) MIN(1) +                           
                       EXPR(*YES) PROMPT('SQL statement')                       
                                                                                
  PARM KWD(TOXLS)      TYPE(*CHAR) LEN(120) MIN(1) +                            
                       EXPR(*YES) PROMPT('To Xls')                              
                                                                                
  PARM KWD(FROMXLS)    TYPE(*CHAR) LEN(120) DFT(*NONE) +                        
                       MIN(0) EXPR(*YES) PROMPT('From Xls')                     
                                                                                
  PARM KWD(SHEETNAME)  TYPE(*CHAR) LEN(20) DFT(*DFT) +                          
                       MIN(0) EXPR(*YES) PROMPT('Sheet name')                   
                                                                                
  PARM KWD(COLHDRS)    TYPE(*CHAR) LEN(10) RSTD(*YES) +                         
                       DFT(*NONE) VALUES(*NONE *FLDNAM *LABEL) +                
                       MIN(0) EXPR(*YES) PROMPT('Column headers')               
                                                                                
  PARM KWD(TITLE)      TYPE(*CHAR) LEN(120) DFT(*NONE) +                        
                       MIN(0) EXPR(*YES) PROMPT('Sheet title')                  
                                                                                
  PARM KWD(TITLECOLS)  TYPE(*INT2) DFT(*COLS) RANGE(1 20) +                     
                       SPCVAL((*COLS -1)) EXPR(*YES) +                          
                       PROMPT('Title columns')                                  
                                                                                
  PARM KWD(TITLEALIGN) TYPE(*CHAR) LEN(7) RSTD(*YES) +                          
                       DFT(*NONE) VALUES(*NONE *CENTER) +                       
                       EXPR(*YES) PROMPT('Title alignment')                     
                                                                                
  PARM KWD(LTRIM)      TYPE(*CHAR) LEN(4) RSTD(*YES) +                          
                       DFT(*YES) VALUES(*YES *NO) +                             
                       PMTCTL(*PMTRQS) PROMPT('Left Trim Strings')              
                                                                                
  PARM KWD(WRTZEROC)   TYPE(*CHAR) LEN(4) RSTD(*YES) +                          
                       DFT(*YES) VALUES(*YES *NO) +                             
                       PMTCTL(*PMTRQS) PROMPT('Write Zero Cells')               
                                                                                
  PARM KWD(FREEZE)     TYPE(*CHAR) LEN(4) RSTD(*YES) +                          
                       DFT(*NO) VALUES(*YES *NO) +                              
                       PMTCTL(*PMTRQS) PROMPT('Freeze Headers')                 
                                                                                
  PARM KWD(FITPRT)     TYPE(*CHAR) LEN(4) RSTD(*YES) +                          
                       DFT(*NO) VALUES(*YES *NO) +                              
                       PMTCTL(*PMTRQS) PROMPT('Fit print')                      
                                                                                
  PARM KWD(GRID)       TYPE(*CHAR) LEN(4) RSTD(*YES) +                          
                       DFT(*YES) VALUES(*YES *NO) +                             
                       PMTCTL(*PMTRQS) PROMPT('Show grid lines')                
                                                                                
  PARM KWD(ORIENT)     TYPE(*CHAR) LEN(10) RSTD(*YES) +                         
                       DFT(*NONE) VALUES(*NONE *PORTRAIT *LANDSCAPE) +          
                       PMTCTL(*PMTRQS) PROMPT('Page orientation')               
                                                                                
  PARM KWD(BLANKROWS)  TYPE(*INT2) DFT(*NONE) +                                 
                       SPCVAL((*NONE 0) (*REWRITE -1)) +                        
                       PROMPT('Insert rows or Rewrite sheet')                   
                                                                                
  PARM KWD(NAMING)     TYPE(*CHAR) LEN(4) RSTD(*YES) +                          
                       DFT(*SYS) SPCVAL((*SYS ) (*SQL )) +                      
                       PMTCTL(*PMTRQS) PROMPT('Naming')                         
                                                                                
  PARM KWD(SETLIBL)    TYPE(*CHAR) LEN(5) RSTD(*YES) +                          
                       DFT(*DFT) SPCVAL((*DFT) (*LIBL)) +                       
                       PMTCTL(*PMTRQS) PROMPT('Set Library List')               
                                                                                
  PARM KWD(TRANBIN)    TYPE(*CHAR) LEN(4) RSTD(*YES) +                          
                       DFT(*NO) VALUES(*YES *NO) +                              
                       PMTCTL(*PMTRQS) PROMPT('Translate binary data')          
                                                                                
  PARM KWD(DRIVER)     TYPE(*CHAR) LEN(7) RSTD(*YES) +                          
                       DFT(*NATIVE) VALUES(*NATIVE *JT400 *JTDS) +              
                       PMTCTL(*PMTRQS) PROMPT('Driver')                         
                                                                                
  PARM KWD(RMTSYS)     TYPE(*NAME) LEN(18) DFT(LOCALHOST) +                     
                       MIN(0) CHOICE(*PGM) CHOICEPGM(SQL2XLSY) +                
                       PMTCTL(*PMTRQS) PROMPT('System (F4=List)')               
                                                                                
  PARM KWD(USER)       TYPE(*CHAR) LEN(30) DFT(*CURRENT) +                      
                       SPCVAL((*CURRENT)) MIN(0) +                              
                       PMTCTL(*PMTRQS) PROMPT('User name')                      
                                                                                
  PARM KWD(PASSWORD)   TYPE(*CHAR) LEN(30) DFT(*CURRENT) +                      
                       SPCVAL((*CURRENT)) MIN(0) +                              
                       PMTCTL(*PMTRQS) PROMPT('Password')                       
                                                                                
  PARM KWD(JDEBUG)     TYPE(*CHAR) LEN(4) RSTD(*YES) +                          
                       DFT(*NO) VALUES(*YES *NO) +                              
                       PMTCTL(*PMTRQS) PROMPT('Debug Java')                     
